#!/usr/bin/perl

use FDN::Common::Config;
use FDN::Common::Modules;
use FDN::Adsl::Basic;
use FDN::Adsl::Ag;

my @adhs = tous_clients_actifs();

if ( ! @ARGV || $ARGV[0] eq '-h' ) {
	print STDERR "Syntax: $0 annee\n";
	print STDERR "annee : annee sur 4 chiffres\n";
	print STDERR "Fait la liste des personnes convoquees en AG dans un fichier liste<annee>.csv\n" ;
	exit 1;
}

my $annee = shift @ARGV;
if ( $annee !~ /^20\d\d$/ ) {
	die "Je veux une annee en parametre";
}

my $date = Config_Key('adsl/adhs/ag.cfg','ag-'.$annee,'date');
if ( ! defined $date ) {
	die "Dans le fichier adsl/adsh/ag.cfg, pour la section [ag-$annee], je veux une clef 'date'...";
}

my $count = 0;

open LISTE, ">liste$annee.csv" or die "Failed to open file liste$annee.csv";

for my $adh ( @adhs ) {
	if ( ! droit_de_vote($adh,$date,'present') ) {
		print $adh->{'CLIENT_NUMADH'}.'/'.$adh->{'CLIENT_NOM'}.": Pas adhérent à la date de l'AG, pas de convocation pour lui.elle.\n";
		next;
	}

	print "On fait $adh->{'CLIENT_NUMADH'}, $adh->{'CLIENT_NOM'}... ";
	print LISTE '"'.$adh->{'CLIENT_NOM'}.'","'.$adh->{'CLIENT_NUMADH'}.'"'."\n";
	print "OK\n";
	$count++;
}
close LISTE;

print "On a produit $count lignes pour l'annee $annee dans le fichier liste$annee.csv.\n";


