#!/usr/bin/perl

use strict;
use warnings;

use Data::Dumper;
use WWW::Mechanize;
use FDN::Common::Config;

my $mech = WWW::Mechanize->new();

my $conf = 'adsl/elig/nerim.cfg';
my $url = Config_Key($conf,'admin','url');
my $cgi = Config_Key($conf,'admin','cgi');
my $login = Config_Key($conf,'admin','login');
my $realm = Config_Key($conf,'admin','realm');
my $authmdp = Config_Key($conf,'admin','authmdp');

$mech->get("https://$url$cgi");
show_informations();

$mech->submit_form(
	form_number => 1,
	fields => {
		'auth_login' => $login,
		'auth_realm' => $realm,
		'authmdp' => $authmdp
	}
);
print "\n\nApres authent:\n";
show_informations();

$mech->follow_link( text_regex => qr/abonnement/ );
print "\n\nApres choix menu:\n";
show_informations();

$mech->submit_form(
	with_fields => {
		'type_connex' => 'adsl',
		'client_exists' => 'on',
	},
	button => 'suivant'
);
print "\n\nApres choix ADSL:\n";
show_informations();

$mech->submit_form(
	with_fields => {
		'id_client' => '32981',
	},
	button => 'suivant'
);
print "\n\nApres choix client:\n";
show_informations();

my $tel = '0123456789';
my $ts = time();
print "Le tel est : $tel\n";
my $sub = $mech->clone();

use JSON;
$sub->get('/nav/setiarjson/?t='.$tel.'&_='.$ts);
my $json = $sub->content;
my $info = from_json($json);
print Dumper($info);

my $fields = {};
$fields->{'tel'} = $tel;
$fields->{'titulaire'} = 'MR TEST';
if ( $info->{'output'}->{'rivoli'} && $info->{'output'}->{'insee'} ) {
	$fields->{'libelle_voie'} = $info->{'output'}->{'street'};
	$fields->{'numero_voie'} = $info->{'output'}->{'number'};
	$fields->{'code_p'} = $info->{'output'}->{'postal_code'};
	$fields->{'escalier'} = $info->{'output'}->{'stair'};
	$fields->{'etage'} = $info->{'output'}->{'floor'};
	$fields->{'ville'} = $info->{'output'}->{'city'};
	$fields->{'porte'} = $info->{'output'}->{'door'};
	$fields->{'residence'} = $info->{'output'}->{'residence'};
	$fields->{'batiment'} = $info->{'output'}->{'building'};
	$fields->{'code_voie'} = $info->{'output'}->{'rivoli'};
	$fields->{'code_insee'} = $info->{'output'}->{'insee'};
} else {
	# Saisir les informations nous-meme.
}
print Dumper($fields);

=head
Le code JS
					$.ajax({
					url: '/nav/setiarjson/',
					type: 'GET',
					data: 't='+$('input[name=tel]').val(), 
					dataType: 'json',
					cache: false,
					success: function(json) {
						if ((!json.error)&&(json.output.rivoli)&&(json.output.insee)) {
							$('input[name=no_setiar_box]').prop('checked', false);

							$('#no_setiar_row').css('display', 'block');
						}
						else 
						{
							$('input[name=libelle_voie]').val('').prop('readOnly', false).css('background-color','#ffffff');
							$('input[name=numero_voie]').val('').prop('readOnly', false).css('background-color','#ffffff');
							$('input[name=code_p]').val('').prop('readOnly', false).css('background-color','#ffffff');
							$('input[name=escalier]').val('').prop('readOnly', false).css('background-color','#ffffff');
							$('input[name=etage]').val('').prop('readOnly', false).css('background-color','#ffffff');
							$('input[name=ville]').val('').prop('readOnly', false).css('background-color','#ffffff');
							$('input[name=porte]').val('').prop('readOnly', false).css('background-color','#ffffff');
							$('input[name=residence]').val('').prop('readOnly', false).css('background-color','#ffffff');
							$('input[name=batiment]').val('').prop('readOnly', false).css('background-color','#ffffff');
							$('input[name=code_voie]').val('').prop('readOnly', false).css('background-color','#ffffff');
							$('input[name=code_insee]').val('').prop('readOnly', false).css('background-color','#ffffff');
						}
					}
				});
				}
			}
			else {
				$(this).parent().find('span').remove();
				$(this).parent().append("<span style='font-size: 9px; color:red;'> &nbsp; Le numro doit contenir 10 chiffres.</span>");
				$(this).focus();
			}
		});

		$('input[name=no_setiar_box]').on('click', function() {
			if($(this).prop('checked')) {
				$('input[name=libelle_voie]').val('').prop('disabled', false).css('bakground-color','');
                                $('input[name=numero_voie]').val('').prop('disabled', false).css('background-color','');
                                $('input[name=libelle_voie]').val('').prop('disabled', false).css('background-color','');
                                $('input[name=code_p]').val('').prop('disabled', false).css('background-color','');
                                $('input[name=escalier]').val('').prop('disabled', false).css('background-color','');
                                $('input[name=etage]').val('').prop('disabled', false).css('background-color','');
                                $('input[name=ville]').val('').prop('disabled', false).css('background-color','');
                                $('input[name=porte]').val('').prop('disabled', false).css('background-color','');
                                $('input[name=residence]').val('').prop('disabled', false).css('background-color','');
                                $('input[name=batiment]').val('').prop('disabled', false).css('background-color','');
                                $('input[name=code_voie]').val('').prop('disabled', false).css('background-color','');
                                $('input[name=code_insee]').val('').prop('disabled', false).css('background-color','');
			}	
		}); 	
	});

=cut



exit 0;

sub show_informations {
	my $forms = $mech->forms;
	print "There are ".scalar(@$forms)." forms\n\n";

	for my $form ( @$forms ) {
		print "Action is ".$form->action."\n";
		my $inputs = [ $form->inputs() ];
		print "Thre are ".scalar(@$inputs)." input fields\n";
		for my $input ( @$inputs ) {
			print "  Input '".$input->name."' type '".$input->type."' with value so far '".$input->value."'\n";
		}
	}

	my $links = $mech->links;
	print "There are ".scalar(@$links)." links\n\n";
}

