#!/usr/bin/perl

use FDN::Common::Config;
use FDN::Common::Modules;
use FDN::Adsl::Basic;
use FDN::Adsl::Ag;

my @adhs = tous_clients_actifs();
my @oks;

my $annee = shift @ARGV;
if ( $annee !~ /^20\d\d$/ ) {
	die "Je veux une annee en parametre";
}

conduse('FDN::TeX::TeX');
if ( ! set_tex_config('adsl/tex-tmp.cfg') ) {
	die "Horribly";
}
$FDN::TeX::TeX::debug=1;

my $date = Config_Key('adsl/adhs/ag.cfg','ag-'.$annee,'date');
if ( ! defined $date ) {
	die "Je veux une date";
}

@adhs = sort { $a->{'CLIENT_NUMADH'} <=> $b->{'CLIENT_NUMADH'} } @adhs;

for my $adh ( @adhs ) {
	if ( ! droit_de_vote($adh,$date,'present') ) {
		print $adh->{'CLIENT_NUMADH'}.'/'.$adh->{'CLIENT_NOM'}.": Pas adhérent à la date de l'AG, pas de convocation pour lui.elle.\n";
		next;
	}
	my ( $forme, $present, $procur ) = split_convocation($adh->{'CLIENT_ID'}, $annee);

	$adh->{'CLIENT_NOM'} = tex_encode($adh->{'CLIENT_NOM'});
	$adh->{'VOTE'} = droit_de_vote($adh,$date,'vote') ? 'OUI' : 'NON';
	push @oks, $adh;
}

my $Hash = { 'adherents' => \@oks };
my $file = make_pdf_file('emargement','emargement',$Hash);

if ( defined $file ) {
	print "Fichier produit: $file\n";
} else {
	print "Echec de la compilation\n";
}


